BendSurface Class

The BendSurface class defines a surface contour that can be used as a bend between two plates
Inheritance Hierarchy

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
[SerializableAttribute]
public abstract class BendSurface

The BendSurface type exposes the following members.

Constructors
  NameDescription
Public methodBendSurface(Arc, Double, Double)
Initializes a new instance of the BendSurface class from a base arc, a height and a radius at the top. This is the recommended constructor if no intermediate points are desired along the lateral boundaries of the bend surface.
Public methodBendSurface(ListPoint, ListPoint, Line, Vector)
Initializes a new instance of the BendSurface class from the cone lateral boundaries and the center line. This is the recommended constructor if fine grained control is desired over the lateral boundaries of the surface
Public methodBendSurface(Vector, Vector, ListPoint, ListPoint)
Initializes a new instance of the BendSurface class with given parameters. The boundaries are defined by the lateral boundaries (i.e. the points on the sides of the curved part of the surface). The side boundaries are defined by the two first points and the two last points of the lateral boundaries.
Public methodBendSurface(Vector, Vector, LineSegment, LineSegment)
Initializes a new instance of the BendSurface class with given parameters. The boundaries are defined by the side boundaries (i.e. generator lines of the surface).
Top
Properties
  NameDescription
Public propertyCenterLine
Gets the center line of the bend surface (i.e. the line that crosses every circular cross section of the bend at their center point)
Public propertyEndFaceNormal1
Gets the first end face normal.
Public propertyEndFaceNormal2
Gets the second end face normal.
Public propertyIntersectionLine
Gets intersection line.
Public propertyInwardCurved
Gets the direction of the curve - true if the curve is oriented towards the intersection line, false otherwise.
Public propertyLateralBoundary1
Gets or sets the first lateral boundary
Public propertyLateralBoundary2
Gets or sets the second lateral boundary
Public propertyRotationAxis
Gets the unit vector that defines the rotation axis (for counter clockwise rotations) of the lateral boundaries of the surface. This axis is always parallel to the direction of the center line.
Public propertySideBoundary1
Gets or sets the first side boundary.
Public propertySideBoundary2
Gets or sets the second side boundary.
Top
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next